Package org.apache.bcel.generic

# Class EnumElementValueGen

java.lang.Object
org.apache.bcel.generic.ElementValueGen
org.apache.bcel.generic.EnumElementValueGen

public class EnumElementValueGen extends ElementValueGen

Since:
  6.0

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.ElementValueGen

  `ANNOTATION, ARRAY, CLASS, cpGen, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EnumElementValueGen(int typeIdx, int valueIdx, ConstantPoolGen cpool)`
  This ctor assumes the constant pool already contains the right type and value - as indicated by typeIdx and valueIdx.
  ``
  `EnumElementValueGen(EnumElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)`
  ``
  `EnumElementValueGen(ObjectType t, String value, ConstantPoolGen cpool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dump(DataOutputStream dos)`
  `ElementValue`
  `getElementValue()`
  Return immutable variant of this EnumElementValue
  `String`
  `getEnumTypeString()`
  `String`
  `getEnumValueString()`
  `int`
  `getTypeIndex()`
  `int`
  `getValueIndex()`
  `String`
  `stringifyValue()`

  ### Methods inherited from class org.apache.bcel.generic.ElementValueGen

  `copy, getConstantPool, getElementValueType, readElementValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnumElementValueGen

    public EnumElementValueGen(EnumElementValue value, ConstantPoolGen cpool, boolean copyPoolEntries)

  - ### EnumElementValueGen

    protected EnumElementValueGen(int typeIdx, int valueIdx, ConstantPoolGen cpool)
    This ctor assumes the constant pool already contains the right type and value - as indicated by typeIdx and valueIdx. This ctor is used for deserialization

  - ### EnumElementValueGen

    public EnumElementValueGen(ObjectType t, String value, ConstantPoolGen cpool)

- ## Method Details

  - ### dump

    public void dump(DataOutputStream dos) throws IOException
    Specified by:
      `dump` in class `ElementValueGen`
    Throws:
      `IOException`

  - ### getElementValue

    public ElementValue getElementValue()
    Return immutable variant of this EnumElementValue
    Specified by:
      `getElementValue` in class `ElementValueGen`

  - ### getEnumTypeString

    public String getEnumTypeString()

  - ### getEnumValueString

    public String getEnumValueString()

  - ### getTypeIndex

    public int getTypeIndex()

  - ### getValueIndex

    public int getValueIndex()

  - ### stringifyValue

    public String stringifyValue()
    Specified by:
      `stringifyValue` in class `ElementValueGen`